package com.cy.guoyan.admin.module.guoyan.service.researchtopicinfo;

import java.util.*;
import javax.validation.*;
import com.cy.guoyan.admin.module.guoyan.controller.admin.researchtopicinfo.vo.*;
import com.cy.guoyan.admin.module.guoyan.dal.dataobject.researchtopicinfo.ResearchTopicInfoDO;
import com.cy.guoyan.admin.framework.common.pojo.PageResult;
import com.cy.guoyan.admin.framework.common.pojo.PageParam;

/**
 * 国资研究专题信息 Service 接口
 *
 * @author 管理员
 */
public interface ResearchTopicInfoService {

    /**
     * 创建国资研究专题信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createResearchTopicInfo(@Valid ResearchTopicInfoSaveReqVO createReqVO);

    /**
     * 更新国资研究专题信息
     *
     * @param updateReqVO 更新信息
     */
    void updateResearchTopicInfo(@Valid ResearchTopicInfoSaveReqVO updateReqVO);

    /**
     * 删除国资研究专题信息
     *
     * @param id 编号
     */
    void deleteResearchTopicInfo(Long id);

    /**
    * 批量删除国资研究专题信息
    *
    * @param ids 编号
    */
    void deleteResearchTopicInfoListByIds(List<Long> ids);

    /**
     * 获得国资研究专题信息
     *
     * @param id 编号
     * @return 国资研究专题信息
     */
    ResearchTopicInfoRespVO getResearchTopicInfo(Long id);

    /**
     * 获得国资研究专题信息分页
     *
     * @param pageReqVO 分页查询
     * @return 国资研究专题信息分页
     */
    PageResult<ResearchTopicInfoDO> getResearchTopicInfoPage(ResearchTopicInfoPageReqVO pageReqVO);

    void auditResearchTopicInfo(Long id, String auditStatus);
    void voidResearchTopicInfo(Long id, String status);
}